# Configure Information

configure - configures HP Linux Imaging and Printing to adapt to many kinds of systems.

Note

You can also run ./configure --help from the hplip source directory for this information.

Usage: ./configure [OPTION] [VAR=VALUE]

Static PPD install with foomatic-rip-hplip - Intended for individual customers using the tar ball install on distros that do not support CUPS dynamic PPD files. Installs precompiled HPIJS PPD files included in the tar ball. All HPIJS ppd files call foomatic-rip-hplip.

    --enable-foomatic-ppd-install   [enable foomatic static ppd install (default=no), uses hpppdir]
    --with-hpppddir  [destination for -hpijs.ppd, -ps.ppd and HP-Fax-hplip.ppd]
    --enable-foomatic-rip-hplip  [(default=yes)]

Dynamic PPD install with foomatic-rip-hplip - Intended for individual customers using the tar ball install on distros that support CUPS dynamic PPD files. No static hpijs PPD files are installed. Dynamic PPD files will call foomatic-rip-hplip.

    --enable-foomatic-drv-install   [enable foomatic dynamic ppd install (default=yes), uses drvdir and hpppddir]
    --with-drvdir  [destination for hpijs.drv]
    --with-hpppddir  [destination for -ps.ppd and HP-Fax-hplip.ppd]
    --enable-foomatic-rip-hplip  (default=yes)

Dynamic PPD install with no foomatic-rip-hplip - Intended for distro package managers that will use the latest foomatic-rip. Dynamic PPD files will call foomatic-rip.

    --enable-foomatic-drv-install   [enable foomatic dynamic ppd install (default=yes), uses drvdir and hpppddir]
    --with-drvdir  [destination for .drv]
    --with-hpppddir  [destination for -ps.ppd and HP-Fax-hplip.ppd]
    --disable-foomatic-rip-hplip  (default=yes)

Options:

    --enable-doc-build              enable documentation build (default=yes)
    --enable-hpijs-only-build       enable hpijs only build (default=no)
    --enable-network-build          enable network build (default=yes)
    --enable-pp-build               enable parallel port build (default=yes)
    --enable-scan-build             enable scanner build (default=yes)
    --enable-gui-build              enable gui build (default=yes)
    --enable-fax-build              enable fax build (default=yes)
    --enable-cups11-build           enable cups 1.1.x build (default=no)
    --enable-shadow-build           enable shadow build (default=no)
    --enable-foomatic-ppd-install   enable foomatic ppd install, uses hpppddir (default=no)
    --enable-foomatic-drv-install   enable foomatic drv install, uses foomaticdir (default=yes)
    --enable-foomatic-rip-hplip-install    enable foomatic-rip-hplip install (default=yes), uses cupsfilterdir
    --with-cupsbackenddir=DIR       set cups backend install directory (default=/usr/lib/cups/backend)
    --with-icondir=DIR              set icon install directory (default=/usr/share/applications)
    --with-hpppddir=DIR             set hp ppd install directory (default=datadir/ppd/HP)
    --with-drvdir=DIR               set cups drv install directory (default=datadir/cups/drv/hp)
    --with-cupsfilterdir=DIR        set cups filter install directory (default=/usr/lib/cups/filter)

Close this window to continue.

Page last updated: Wed Jan 30 14:56:16 2008; HPLIP Version: 2.8.2